### Method

# Panel SessionItem get_metadata

#### Declaration [src]

    gboolean
    panel_session_item_get_metadata (
      PanelSessionItem* self,
      const char* key,
      const char* format,
      ...
    )

#### Description [src]

Extract a metadata value matching `format`.

`format` must not reference the `GVariant`, which means you need to make copies of data, such as “s” instead of “&s”.

This method is not directly available to language bindings.

#### Parameters

`key`

  Type: `const char*`

  The key for the metadata value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const char*`

  The format of the value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  No description available.

#### Return value

Type: `gboolean`

`TRUE` if `key` was found with `format` and parameters were set.